package eu.jonahbauer.raytracing;

import eu.jonahbauer.raytracing.render.Camera;
import eu.jonahbauer.raytracing.render.ImageIO;
import eu.jonahbauer.raytracing.scene.Scene;
import eu.jonahbauer.raytracing.scene.Sphere;

import java.io.IOException;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws IOException {
        var scene = new Scene(
                new Sphere(0, 0, 1, 0.5),
                new Sphere(0, -100.5, 1, 100)
        );
        var camera = new Camera(512, 2, 16 / 9d);

        var image = camera.render(scene);
        ImageIO.write(image, Path.of("scene-" + System.currentTimeMillis() + ".ppm"));
    }
}